package com.platform.service.custom;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.platform.entity.ApiTmBrandTypeVo;
import com.platform.service.impl.ApiTmBrandTypeServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 2 * @Author: Abner
 * 3 * @Date: 2020/11/9 16:13
 * 4
 */
@Service
@Slf4j
public class MyApiTmBrandTypeService extends ApiTmBrandTypeServiceImpl {

    public List<ApiTmBrandTypeVo> getAllList(){

        QueryWrapper<ApiTmBrandTypeVo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("enable" , 1);

        return getBaseMapper().selectList(queryWrapper);
    }
}